Bug 3420 - make stops with undeclared identifier
make stops with undeclared identifier
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.21a
Other Solaris
: P3 normal
: none
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 01:17 UTC by Ralf Weinert
Modified: 2007-02-09 15:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Weinert 2006-01-18 01:17:39 UTC
Running the configured Makefile stops with an error:
Compiling libads/sasl.c
libads/sasl.c: In function 'ads_sasl_spnego_ntlmssp_bind':
libads/sasl.c:81: 'LDAP_SASL_BIND_IN_PROGRESS' undeclared (first use in this function)
.
.
libads/sasl.c: In function 'ads_sasl_spnego_bind':
libads/sasl.c:186: 'LDAP_SASL_BIND_IN_PROGRESS' undeclared (first ...
*** Error code 1

the configure command I ran with --prefix=/usr/local/samba-3.0.21a --with-aio-support --with-smbwrapper. Using the option --with-ldap=no make runs without errors.
Comment 1 Gerald (Jerry) Carter 2006-01-19 09:03:43 UTC
--with-ldap-no is the current workaround.
Didn't you have a patch for this?
Comment 2 Volker Lendecke 2007-02-09 15:14:04 UTC
Has been fixed ages ago -- r13690.

Volker